com.sleepycat.db

## Class LockNotGrantedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sleepycat.db.DatabaseException
      - - com.sleepycat.db.DeadlockException
        - - com.sleepycat.db.LockNotGrantedException

All Implemented Interfaces:
  java.io.Serializable

    public class LockNotGrantedException
    extends DeadlockException

A LockNotGrantedException is thrown when a lock requested using the `Environment.getLock` or `Environment.lockVector` methods, where the noWait flag or lock timers were configured, could not be granted before the wait-time expired.

Additionally, LockNotGrantedException is thrown when a Concurrent Data Store database environment configured for lock timeouts was unable to grant a lock in the allowed time.

Additionally, LockNotGrantedException is thrown when lock or transaction timeouts have been configured and a database operation has timed out.

See Also:
  Serialized Form

### Method Summary

Methods
`int` `getIndex()` Returns -1 when `Environment.getLock` was called, and returns the index of the failed LockRequest when `Environment.lockVector` was called.
`Lock` `getLock()` Returns null when `Environment.getLock` was called, and returns the lock in the failed LockRequest when `Environment.lockVector` was called.
`int` `getMode()` Returns the mode parameter when `Environment.getLock` was called, and returns the mode for the failed LockRequest when `Environment.lockVector` was called.
`DatabaseEntry` `getObj()` Returns the object parameter when `Environment.getLock` was called, and returns the object for the failed LockRequest when `Environment.lockVector` was called.
`int` `getOp()` Returns 0 when `Environment.getLock` was called, and returns the op parameter for the failed LockRequest when `Environment.lockVector` was called.

### Methods inherited from class com.sleepycat.db.DatabaseException

`getEnvironment, getErrno, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getIndex

    public int getIndex()

Returns -1 when `Environment.getLock` was called, and returns the index of the failed LockRequest when `Environment.lockVector` was called.

#### getLock

    public Lock getLock()

Returns null when `Environment.getLock` was called, and returns the lock in the failed LockRequest when `Environment.lockVector` was called.

#### getMode

    public int getMode()

Returns the mode parameter when `Environment.getLock` was called, and returns the mode for the failed LockRequest when `Environment.lockVector` was called.

#### getObj

    public DatabaseEntry getObj()

Returns the object parameter when `Environment.getLock` was called, and returns the object for the failed LockRequest when `Environment.lockVector` was called.

#### getOp

    public int getOp()

Returns 0 when `Environment.getLock` was called, and returns the op parameter for the failed LockRequest when `Environment.lockVector` was called.